org.apache.ignite.internal.visor.query

## Class VisorQueryUtils

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryUtils

    public class VisorQueryUtils
    extends Object

Contains utility methods for Visor query tasks and jobs.

### Field Summary

Fields
`static Integer` `RMV_DELAY` How long to store future with query in node local map: 5 minutes.
`static Collection<VisorQueryField>` `SCAN_COL_NAMES` Columns for SCAN queries.
`static String` `SCAN_QRY_NAME` Prefix for node local key for SCAN queries.
`static String` `SQL_QRY_NAME` Prefix for node local key for SQL queries.

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryUtils()`

### Method Summary

Methods
`static List<Object[]>` `fetchScanQueryRows(VisorQueryCursor<javax.cache.Cache.Entry<Object,Object>> cur, int pageSize)` Fetch rows from SCAN query future.
`static List<Object[]>` `fetchSqlQueryRows(VisorQueryCursor<List<?>> cur, int pageSize)` Collects rows from sql query future, first time creates meta and column names arrays.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RMV_DELAY

    public static final Integer RMV_DELAY

How long to store future with query in node local map: 5 minutes.

#### SQL_QRY_NAME

    public static final String SQL_QRY_NAME

Prefix for node local key for SQL queries.

See Also:
  Constant Field Values

#### SCAN_QRY_NAME

    public static final String SCAN_QRY_NAME

Prefix for node local key for SCAN queries.

See Also:
  Constant Field Values

#### SCAN_COL_NAMES

    public static final Collection<VisorQueryField> SCAN_COL_NAMES

Columns for SCAN queries.

### Constructor Detail

#### VisorQueryUtils

    public VisorQueryUtils()

### Method Detail

#### fetchScanQueryRows

    public static List<Object[]> fetchScanQueryRows(VisorQueryCursor<javax.cache.Cache.Entry<Object,Object>> cur,
                                    int pageSize)

Fetch rows from SCAN query future.

Parameters:
  `cur` - Query future to fetch rows from.
  `pageSize` - Number of rows to fetch.
Returns:
  Fetched rows.

#### fetchSqlQueryRows

    public static List<Object[]> fetchSqlQueryRows(VisorQueryCursor<List<?>> cur,
                                   int pageSize)

Collects rows from sql query future, first time creates meta and column names arrays.

Parameters:
  `cur` - Query cursor to fetch rows from.
  `pageSize` - Number of rows to fetch.
Returns:
  Fetched rows.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015